Package io.flutter.plugin.editing

## Class SpellCheckPlugin

- java.lang.Object
- - io.flutter.plugin.editing.SpellCheckPlugin

- All Implemented Interfaces:
    `SpellCheckerSession.SpellCheckerSessionListener`, `SpellCheckChannel.SpellCheckMethodHandler`

      public class SpellCheckPlugin
      extends Object
      implements SpellCheckChannel.SpellCheckMethodHandler, SpellCheckerSession.SpellCheckerSessionListener

  `SpellCheckPlugin` is the implementation of all functionality needed for spell check for text input.

  The plugin handles requests for spell check sent by the `SpellCheckChannel` via sending requests to the Android spell checker. It also receives the spell check results from the service and sends them back to the framework through the `SpellCheckChannel`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpellCheckPlugin​(TextServicesManager textServicesManager, SpellCheckChannel spellCheckChannel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` | Unregisters this `SpellCheckPlugin` as the `SpellCheckChannel.SpellCheckMethodHandler`, for the `SpellCheckChannel`, and closes the most recently opened `SpellCheckerSession`.
    `void` | `initiateSpellCheck​(String locale, String text, MethodChannel.Result result)` | Initiates call to native spell checker to spell check specified text if there is no result awaiting a response.
    `void` | `onGetSentenceSuggestions​(SentenceSuggestionsInfo[] results)` | Callback for Android spell check API that decomposes results and send results through the `SpellCheckChannel`.
    `void` | `onGetSuggestions​(SuggestionsInfo[] results)` |
    `void` | `performSpellCheck​(String locale, String text)` | Calls on the Android spell check API to spell check specified text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpellCheckPlugin

          public SpellCheckPlugin​(@NonNull
                                  TextServicesManager textServicesManager,
                                  @NonNull
                                  SpellCheckChannel spellCheckChannel)

  - ### Method Detail

    - #### destroy

          public void destroy()

      Unregisters this `SpellCheckPlugin` as the `SpellCheckChannel.SpellCheckMethodHandler`, for the `SpellCheckChannel`, and closes the most recently opened `SpellCheckerSession`.

      Do not invoke any methods on a `SpellCheckPlugin` after invoking this method.

    - #### initiateSpellCheck

          public void initiateSpellCheck​(@NonNull
                                         String locale,
                                         @NonNull
                                         String text,
                                         @NonNull
                                         MethodChannel.Result result)

      Initiates call to native spell checker to spell check specified text if there is no result awaiting a response.
      Specified by:
        `initiateSpellCheck` in interface `SpellCheckChannel.SpellCheckMethodHandler`

    - #### performSpellCheck

          public void performSpellCheck​(@NonNull
                                        String locale,
                                        @NonNull
                                        String text)

      Calls on the Android spell check API to spell check specified text.

    - #### onGetSentenceSuggestions

          public void onGetSentenceSuggestions​(SentenceSuggestionsInfo[] results)

      Callback for Android spell check API that decomposes results and send results through the `SpellCheckChannel`.

      Spell check results will be encoded as a string representing the span of that result, with the format "start_index.end_index.suggestion_1/nsuggestion_2/nsuggestion_3", where there may be up to 5 suggestions.

      Specified by:
        `onGetSentenceSuggestions` in interface `SpellCheckerSession.SpellCheckerSessionListener`

    - #### onGetSuggestions

          public void onGetSuggestions​(SuggestionsInfo[] results)

      Specified by:
        `onGetSuggestions` in interface `SpellCheckerSession.SpellCheckerSessionListener`